Skip to main content
Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 5.2.0SynchronousAuth Required

ExecuteGuestVmCommand

ExecuteGuestVmCommand

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • platformStringRequired

      The platform.

    • commandStringRequired

      The command.

    • commandTimeoutInteger

      Optional. The timeout period.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • streamStringRequired

    The stream.

  • vmInstanceVmInstanceInventoryRequired

    See vmInstance

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/vm-instances/commands/exec

/zstack/v1/vm-instances/commands/exec

Operation ID

ExecuteGuestVmCommand

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/commands/exec' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vmInstanceUuid":"<vmInstanceUuid>","platform":"<platform>","command":"<command>","commandTimeout":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "stream": "standardStream: hello world, errorStream: 1/0 is not a goodScript", "vmInstance": { "uuid": "fc022ba201c135d8809c5e02bf6bf156", "name": "vm_1" } }

Change History

This API has no change history records yet.

View all change history